use huber_common::model::package::{Package, PackageManagement, PackageSource, PackageTargetType};

#[allow(dead_code)]
pub fn release() -> Package {
    Package {
        name: "hypper".to_string(),
        source: PackageSource::Github {
            owner: "rancher-sandbox".to_string(),
            repo: "hypper".to_string(),
        },
        detail: None,
        targets: vec![
            PackageTargetType::LinuxAmd64(PackageManagement {
                artifact_templates: vec!["hypper-v0.2.0-Linux-x86_64.tar.gz".to_string()],
                executable_templates: None,
                install_commands: None,
                uninstall_commands: None,
                upgrade_commands: None,
                executable_mappings: None,
                tag_version_regex_template: None,
                scan_dirs: None,
            }),
            PackageTargetType::LinuxArm64(PackageManagement {
                artifact_templates: vec!["hypper-v0.2.0-Linux-arm64.tar.gz".to_string()],
                executable_templates: None,
                install_commands: None,
                uninstall_commands: None,
                upgrade_commands: None,
                executable_mappings: None,
                tag_version_regex_template: None,
                scan_dirs: None,
            }),
            PackageTargetType::LinuxArm32(PackageManagement {
                artifact_templates: vec!["hypper-v0.2.0-Linux-armv6.tar.gz".to_string()],
                executable_templates: None,
                install_commands: None,
                uninstall_commands: None,
                upgrade_commands: None,
                executable_mappings: None,
                tag_version_regex_template: None,
                scan_dirs: None,
            }),
            PackageTargetType::MacOS(PackageManagement {
                artifact_templates: vec!["hypper-v0.2.0-Darwin-x86_64.tar.gz".to_string()],
                executable_templates: None,
                install_commands: None,
                uninstall_commands: None,
                upgrade_commands: None,
                executable_mappings: None,
                tag_version_regex_template: None,
                scan_dirs: None,
            }),
            PackageTargetType::Windows(PackageManagement {
                artifact_templates: vec!["hypper-v0.2.0-Windows-x86_64.tar.gz".to_string()],
                executable_templates: None,
                executable_mappings: None,
                install_commands: None,
                uninstall_commands: None,
                upgrade_commands: None,
                tag_version_regex_template: None,
                scan_dirs: None,
            }),
        ],
        version: None,
        description: None,
        release_kind: None,
    }
}
